Summary:	AppArmor Python 2 bindings
Summary(pl.UTF-8):	Dowiązania do AppArmor dla Pythona 2
Summary(pt_BR.UTF-8):	Módulos Python 2 para acessar os recursos do AppArmor
Name:		python-LibAppArmor
# NOTE: versions >= 3.0 support python3 only
Version:	2.13.6
Release:	1
Epoch:		1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://launchpad.net/apparmor/2.13/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	377545626db2278ef5d1319b68611c84
URL:		http://wiki.apparmor.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gcc >= 5:3.2
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRequires:	swig-python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AppArmor Python 2 bindings.

%description -l pl.UTF-8
Dowiązania do AppArmor dla Pythona 2.

%description -l pt_BR.UTF-8
Módulos Python 2 para acessar os recursos do AppArmor.

%prep
%setup -q -n apparmor-%{version}

%build
cd libraries/libapparmor
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%configure \
	PYTHON=%{__python} \
	--with-python \
	--without-ruby \
	--without-perl

%{__make} -C swig/python -j1 \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 -C libraries/libapparmor/swig/python install \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitedir}/LibAppArmor
%attr(755,root,root) %{py_sitedir}/LibAppArmor/_LibAppArmor.so
%{py_sitedir}/LibAppArmor/__init__.py[co]
%{py_sitedir}/LibAppArmor/LibAppArmor.py[co]
%{py_sitedir}/LibAppArmor-*.egg-info
%changelog
* Wed Jun 09 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-LibAppArmor.git;a=log;h=master

* Tue Jun 08 2021 Jakub Bogusz <qboosh@pld-linux.org> 399ddd2
- updated to 2.13.6

* Sun Feb 07 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> a956dce
- initial; python2 bindings from older apparmor

